Update user role
curl --request POST \
--url https://api.realtimelca.com/rest/api/BuildingProject/updateuserbuildingprojectrole/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inviteeUserId": "",
"inviteeEmail": "",
"roleId": "project.admin"
}
'Project
Update user role
Updates the role of a user within a specific Building Project. Use this endpoint to assign or change a project member’s role (e.g., promoting a user to project.admin).
POST
/
BuildingProject
/
updateuserbuildingprojectrole
/
{id}
Update user role
curl --request POST \
--url https://api.realtimelca.com/rest/api/BuildingProject/updateuserbuildingprojectrole/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inviteeUserId": "",
"inviteeEmail": "",
"roleId": "project.admin"
}
'Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
buildingProjectId
Response
default
Response schema not yet documented in the upstream Postman spec.
⌘I

